declare function radixVue1(): {
    uiName: string;
    map: ({
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            forceMount: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            src: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            alt: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            value: string;
            description_zh: string;
        }[];
        methods: never[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {};
        events: never[];
        methods: never[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            ":value": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
                foreach: boolean;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            ":defaultValue": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            defaultOpen: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            open: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model:searchTerm": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            ":filterFunction": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            multiple: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dir: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            name: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultOpen: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultPlaceholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dir: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            fixedWeeks: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            granularity: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hideTimeZone: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hourCycle: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            id: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            isDateDisabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            isDateUnavailable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            locale: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            maxValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            minValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            modal: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            modelValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            name: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            numberOfMonths: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            open: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            pagedNavigation: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placeholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            preventDeselect: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            readonly: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            required: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            weekdayFormat: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            weekStartsOn: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        methods: never[];
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            align: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            alignOffset: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            arrowPadding: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            avoidCollisions: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collisionBoundary: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collisionPadding: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disableOutsidePointerEvents: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            forceMount: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hideWhenDetached: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            prioritizePosition: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            side: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sideOffset: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sticky: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            trapFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            updatePositionStrategy: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        methods: never[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            textValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            props: {
                activationMode: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                as: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                asChild: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                autoResize: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                defaultValue: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                dir: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                disabled: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                id: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                maxLength: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                modelValue: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                name: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                placeholder: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                readonly: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                selectOnFocus: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                startWithEditMode: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                submitMode: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                description: string;
                value: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        methods: never[];
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: never[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            loop: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            forceMount: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":sideOffset": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":alignOffset": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            avoidCollisions: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collisionBoundary: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":collisionPadding": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":arrowPadding": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sticky: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            hideWhenDetached: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disableOutsidePointerEvents: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            forceMount: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            prams: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            placeholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            mask: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            otp: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            type: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            required: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            name: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            forceMount: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            side: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":sideOffset": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            align: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":alignOffset": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            avoidCollisions: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collisionBoundary: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":collisionPadding": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":arrowPadding": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sticky: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            hideWhenDetached: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            calendarLabel: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultPlaceholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dir: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            fixedWeeks: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            initialFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            isDateDisabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            isDateUnavailable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            locale: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            maxValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            minValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            modelValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            numberOfMonths: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            pagedNavigation: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placeholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            preventDeselect: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            readonly: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            weekdayFormat: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            weekStartsOn: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        methods: never[];
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            position: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            side: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":sideOffset": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            align: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":alignOffset": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            avoidCollisions: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collisionBoundary: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":collisionPadding": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":arrowPadding": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sticky: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            hideWhenDetached: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            autoSaveId: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            direction: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            id: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            keyboardResizeBy: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            storage: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        methods: never[];
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collapsedSize: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collapsible: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultSize: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            id: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            maxSize: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            minSize: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            order: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
            value: string;
        }[];
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hitAreaMargins: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            id: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            tabindex: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            addOnPaste: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            delimiter: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            duplicate: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dir: {
                default: string[];
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            required: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            max: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            name: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[];
    lib: string;
};
declare function radixVue1Components(): {
    map: ((string | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            forceMount: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            src: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            alt: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            value: string;
            description_zh: string;
        }[];
        methods: never[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {};
        events: never[];
        methods: never[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            ":value": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
                foreach: boolean;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            ":defaultValue": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            defaultOpen: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            open: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model:searchTerm": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            ":filterFunction": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            multiple: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dir: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            name: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            textValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            loop: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            forceMount: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":sideOffset": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":alignOffset": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            avoidCollisions: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collisionBoundary: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":collisionPadding": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":arrowPadding": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sticky: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            hideWhenDetached: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disableOutsidePointerEvents: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            forceMount: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            prams: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            forceMount: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            side: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":sideOffset": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            align: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":alignOffset": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            avoidCollisions: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collisionBoundary: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":collisionPadding": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":arrowPadding": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sticky: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            hideWhenDetached: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            placeholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            mask: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            otp: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            type: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            required: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            name: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            position: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            side: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":sideOffset": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            align: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":alignOffset": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            avoidCollisions: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collisionBoundary: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":collisionPadding": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":arrowPadding": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sticky: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            hideWhenDetached: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            addOnPaste: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            delimiter: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            duplicate: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dir: {
                default: string[];
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            required: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            max: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            name: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultOpen: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultPlaceholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dir: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            fixedWeeks: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            granularity: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hideTimeZone: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hourCycle: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            id: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            isDateDisabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            isDateUnavailable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            locale: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            maxValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            minValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            modal: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            modelValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            name: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            numberOfMonths: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            open: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            pagedNavigation: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placeholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            preventDeselect: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            readonly: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            required: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            weekdayFormat: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            weekStartsOn: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        methods: never[];
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            align: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            alignOffset: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            arrowPadding: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            avoidCollisions: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collisionBoundary: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collisionPadding: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disableOutsidePointerEvents: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            forceMount: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hideWhenDetached: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            prioritizePosition: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            side: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sideOffset: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sticky: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            trapFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            updatePositionStrategy: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        methods: never[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            props: {
                activationMode: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                as: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                asChild: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                autoResize: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                defaultValue: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                dir: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                disabled: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                id: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                maxLength: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                modelValue: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                name: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                placeholder: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                readonly: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                selectOnFocus: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                startWithEditMode: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                submitMode: {
                    default: string;
                    value: string;
                    type: string;
                    description: string;
                    description_zh: string;
                };
                description: string;
                value: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        methods: never[];
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: never[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            calendarLabel: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultPlaceholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dir: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            fixedWeeks: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            initialFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            isDateDisabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            isDateUnavailable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            locale: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            maxValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            minValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            modelValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            numberOfMonths: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            pagedNavigation: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placeholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            preventDeselect: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            readonly: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            weekdayFormat: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            weekStartsOn: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        methods: never[];
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            autoSaveId: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            direction: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            id: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            keyboardResizeBy: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            storage: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        methods: never[];
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collapsedSize: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collapsible: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultSize: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            id: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            maxSize: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            minSize: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            order: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
            value: string;
        }[];
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            as: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            asChild: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hitAreaMargins: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            id: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            tabindex: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        methods: never[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[])[];
    isSeperatorByHyphen: boolean;
    prefix: string;
    lib: string;
    isReact: boolean;
};

export { radixVue1, radixVue1Components };
